import numpy as np
import pandas as pd
from sklearn.neighbors import KNeighborsClassifier

dataset = pd.read_csv('iris.csv')
np.random.seed(0)

iris_X = np.asmatrix(dataset[['sepal.width', 'sepal.length', 'petal.width', 'petal.length']], dtype=np.float64)
iris_y = np.asarray(dataset['variety'])
indices = np.random.permutation(len(iris_X))
iris_X_train = iris_X[indices[:-10]]
iris_y_train = iris_y[indices[:-10]]
iris_X_test = iris_X[indices[-10:]]
iris_y_test = iris_y[indices[-10:]]

knn = KNeighborsClassifier()
knn.fit(iris_X_train, iris_y_train)

predicted = knn.predict(iris_X_test)
print(predicted)
print(iris_y_test)
